Intent
Removes the client.
When to call it
Call this only after your application has identified the client that should be removed.
Access boundary
Use the credential type and authentication scheme shown for this operation.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
Operational notes
Delete an OAuth2 client.
DELETE
/
v1
/
oauth2
/
register
/
{client_id}
Delete Client
curl --request DELETE \
--url https://api.getruba.com/v1/oauth2/register/{client_id}import requests
url = "https://api.getruba.com/v1/oauth2/register/{client_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.getruba.com/v1/oauth2/register/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
⌘I
Delete Client
